import 'keyboard_android_platform_interface.dart';

class KeyboardAndroid {
  /// 获取平台版本
  Future<String?> getPlatformVersion() {
    return KeyboardAndroidPlatform.instance.getPlatformVersion();
  }

  /// 打开或关闭悬浮窗
  Future<void> enableFloatingWindow(bool enable) async {
    return KeyboardAndroidPlatform.instance.enableFloatingWindow(enable);
  }

  /// 打开输入法设置
  Future<void> openInputMethodSettings() async {
    return KeyboardAndroidPlatform.instance.openInputMethodSettings();
  }

  /// 检查目标键盘是否启用
  Future<bool> isTargetKeyboardEnabled() async {
    return KeyboardAndroidPlatform.instance.isTargetKeyboardEnabled();
  }

  // /// 获取键映射
  // static Future<List<Map<String, String>>> getKeyMappings() {
  //   return KeyboardAndroidPlatform.instance.getKeyMappings();
  // }
  //
  // /// 设置键映射
  // static Future<bool> setKeyMappings(List<Map<String, String>> mappings) {
  //   return KeyboardAndroidPlatform.instance.setKeyMappings(mappings);
  // }
  //
  // /// 通过方法名获取动态文本
  // static Future<String?> getDynamicText(String method) {
  //   return KeyboardAndroidPlatform.instance.getDynamicText(method);
  // }
}
